directionTraits.h File Reference
`#include "osl/basic_type.h"`

Go to the source code of this file.

## Classes

struct | osl::DirectionTraitsGen< UL >
struct | osl::DirectionTraitsGen< U >
struct | osl::DirectionTraitsGen< UR >
struct | osl::DirectionTraitsGen< L >
struct | osl::DirectionTraitsGen< R >
struct | osl::DirectionTraitsGen< DL >
struct | osl::DirectionTraitsGen< D >
struct | osl::DirectionTraitsGen< DR >
struct | osl::DirectionTraitsGen< UUL >
struct | osl::DirectionTraitsGen< UUR >
struct | osl::DirectionTraitsGen< LONG_UL >
struct | osl::DirectionTraitsGen< LONG_U >
struct | osl::DirectionTraitsGen< LONG_UR >
struct | osl::DirectionTraitsGen< LONG_L >
struct | osl::DirectionTraitsGen< LONG_R >
struct | osl::DirectionTraitsGen< LONG_DL >
struct | osl::DirectionTraitsGen< LONG_D >
struct | osl::DirectionTraitsGen< LONG_DR >
struct | osl::DirectionTraits< Dir >
struct | osl::DirectionPlayerTraits< Dir, BLACK >
struct | osl::DirectionPlayerTraits< Dir, WHITE >

## Namespaces

namespace | osl

## Variables

template<Direction Dir>
const Direction | osl::DirectionPlayerTraits< Dir, BLACK >::directionByBlack
template<Direction Dir>
const Direction | osl::DirectionPlayerTraits< Dir, WHITE >::directionByBlack